using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.SC
{
    /// <summary>
    /// 实际参加会议的人员
    /// </summary>
    [Description("参会人员")]
    public class T_SC_MT_MEETING_PJOIN : MesEntityBase
    {
        /// <summary>
        /// 会议表纪要
        /// </summary>
        [Description("会议表纪要")]
        [DataFieldForeignKey("Nav_MeetingMinutes", "Nav_ListPJoin")]
        public Guid MEETING_MINUTES_ID { get; set; }

        /// <summary>
        /// 会议表纪要
        /// </summary>
        [Description("导航：会议表纪要")]
        public virtual T_SC_MT_MEETING_MINUTES Nav_MeetingMinutes { get; set; }

        /// <summary>
        /// 参会人员类型 参会人 40
        /// </summary>
        [Description("参会人员类型")]
        public SCMEETINGPERSONTYPE PERSONTYPE { get; set; } = SCMEETINGPERSONTYPE.JOIN;

        /// <summary>
        /// 用户ID
        /// </summary>
        [Description("用户ID")]
        [DataFieldForeignKey("Nav_User")]
        public Guid USER_ID { get; set; }

        /// <summary>
        /// 导航属性：用户ID
        /// </summary>
        [Description("导航属性：用户ID")]
        public virtual T_FM_USER Nav_User { get; set; }

        /// <summary>
        /// 是否阅会议纪要
        /// </summary>
        [Description("是否阅会议纪要")]
        public bool ISRECORDRED { get; set; }
    }
}
